#####################################
### someone's ansible provisioner ###
#####################################
# Part of: https://git.somenet.org/root/pub/somesible.git
# 2017-2026 by someone <someone@somenet.org>
#
# If not overridden in inventory or as a parameter, this is the value that will be used
#
---
nextcloud_download_url: "https://download.nextcloud.com/server/releases/latest-31.tar.bz2"
nextcloud_download_checksum: "sha256:https://download.nextcloud.com/server/releases/latest-31.tar.bz2.sha256"

nextcloud_domain: "cloud.localhost"
nextcloud_db_host: "127.0.0.1"
nextcloud_db_name: "nextcloud"

# Where are the data files stored.
nextcloud_data_dir_path: "/srv/{{nextcloud_domain}}"

# Install apps.
nextcloud_default_installed_apps:
  - 'calendar'
  - 'contacts'
  - 'tasks'
  - 'files_retention'
  - 'files_automatedtagging'
  - 'richdocuments'
  - 'richdocumentscode'
  - 'unroundedcorners'


# Set/override config options.
nextcloud_default_config_options:
  - { key: "logfile", value: "/var/log/nextcloud/{{nextcloud_domain}}.log" }
  - { key: "log_rotate_size", value: "0" }
  - { key: "updatechecker", value: "false" }
  - { key: "has_internet_connection", value: "false" }
  - { key: "maintenance_window_start", value: "1" }
  - { key: "memcache.local", value: "\\OC\\Memcache\\APCu" }
  - { key: "skeletondirectory", value: "" }
  - { key: "trashbin_retention_obligation", value: "30, 90" }
  - { key: "versions_retention_obligation", value: "30, 90" }
  - { key: "profile.enabled", value: "false" }
  - { key: "mail_from_address", value: "nextcloud-noreply" }
  - { key: "mail_smtpmode", value: "smtp" }
  - { key: "mail_smtptimeout", value: "30" }
  - { key: "mail_domain", value: "localhost" }
  - { key: "mail_smtphost", value: "localhost" }

#  - { key: "config_is_read_only", value: "true" } # unset and set by ansible.

# must set.
#nextcloud_db_pw: None
#nextcloud_admin_user: ""
#nextcloud_admin_pw: ""
